Bug 221086 - ImportError: cannot import name comps
ImportError: cannot import name comps
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-01 11:56 EST by Robin Green
Modified: 2008-02-28 21:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 21:54:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2007-01-01 11:56:35 EST
Description of problem:
I tried to run up2date --get-source gcc. I was asked for my root password and
then it crashed.

Version-Release number of selected component (if applicable):
up2date-4.4.23-4

How reproducible:
Always

Steps to Reproduce:
1. As non-root user, up2date --get-source gcc
2. Enter root password
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 33, in ?
    from up2date_client import up2date
  File "/usr/share/rhn/up2date_client/up2date.py", line 32, in ?
    import depSolver
  File "/usr/share/rhn/up2date_client/depSolver.py", line 11, in ?
    import packageList
  File "/usr/share/rhn/up2date_client/packageList.py", line 20, in ?
    import up2dateComps
  File "/usr/share/rhn/up2date_client/up2dateComps.py", line 9, in ?
    from rhpl import comps
ImportError: cannot import name comps


Expected results:
No crash

Additional info:
rhpl-0.194-1
Comment 1 Red Hat Bugzilla 2007-04-11 22:10:29 EDT
User bnackash@redhat.com's account has been closed
Comment 2 petrosyan 2008-02-28 21:54:32 EST
up2date package has been removed from Fedora.

Note You need to log in before you can comment on or make changes to this bug.